import { jsx as _jsx } from "react/jsx-runtime";
import { usePosition } from '../../hooks';
export default function Arrow(props) {
    const { x1: x1Old, y1: y1Old, x2: x2Old, y2: y2Old, startPoint = 'none', endPoint = 'none', } = props;
    const { x: x1, y: y1 } = usePosition({
        x: x1Old,
        y: y1Old,
        height: 0,
        width: 0,
    });
    const { x: x2, y: y2 } = usePosition({
        x: x2Old,
        y: y2Old,
        height: 0,
        width: 0,
    });
    const startMarker = startPoint !== 'none' ? `url(#marker-${startPoint})` : undefined;
    const endMarker = endPoint !== 'none' ? `url(#marker-${endPoint})` : undefined;
    return (_jsx("g", { children: _jsx("line", { x1: x1, y1: y1, x2: x2, y2: y2, stroke: "black", markerStart: startMarker, markerEnd: endMarker }, void 0) }, void 0));
}
//# sourceMappingURL=Arrow.js.map