import { CSSProperties, ReactNode, SVGAttributes } from 'react';
import type { TickType } from '../../types';
interface CoordinatesXY {
    x1?: number;
    x2?: number;
    y1?: number;
    y2?: number;
}
export interface TickLogProps {
    style: CSSProperties;
    children?: ReactNode;
    line: CoordinatesXY;
    text: Omit<CoordinatesXY, 'x2' | 'y2'>;
    secondary?: boolean;
    strokeColor?: string;
    strokeHeight?: number;
    anchor?: SVGAttributes<SVGTextElement>['textAnchor'];
    alignment?: SVGAttributes<SVGTextElement>['alignmentBaseline'];
}
export interface TicksLogProps extends Omit<TickLogProps, 'line' | 'text'> {
    hidden: boolean;
    ticks: TickType[];
    hiddenSecondaryTicks?: boolean;
    getPositions: (y: number) => {
        line: CoordinatesXY;
        text: Omit<CoordinatesXY, 'x2' | 'y2'>;
    };
}
export declare function TicksLog(props: Omit<TicksLogProps, 'children'>): JSX.Element;
export declare function TickLog(props: TickLogProps): JSX.Element;
export {};
