/// <reference types="react" />
import type { AxisContextType, PlotContextType, ReducerActions, State } from './types';
interface DispatchContextType {
    dispatch: ((action: ReducerActions) => void) | null;
}
export declare const PlotContext: import("react").Context<PlotContextType>;
export declare const DispatchContext: import("react").Context<DispatchContextType>;
export declare function usePlotContext(): PlotContextType;
export declare function useDispatchContext(): DispatchContextType;
interface SizeProps {
    plotWidth: number;
    plotHeight: number;
}
export declare function useAxisContext(state: State, { plotWidth, plotHeight }: SizeProps): Record<string, AxisContextType>;
declare type NumberString = number | string;
interface usePositionProps {
    x: NumberString;
    y: NumberString;
    width: NumberString;
    height: NumberString;
}
interface useEllipsePositionProps {
    cx: NumberString;
    cy: NumberString;
    rx: NumberString;
    ry: NumberString;
}
export declare function usePosition(config: usePositionProps): {
    x: string | number;
    y: string | number;
    width: string | number;
    height: string | number;
};
export declare function useEllipsePosition(props: useEllipsePositionProps): {
    cx: string | number;
    cy: string | number;
    rx: string | number;
    ry: string | number;
};
export {};
