import { CSSProperties, ReactNode } from 'react';
import type { AxisContextType, CSSFuncProps, PlotChildren, SeriesPointErrorType } from './types';
/**
 * Creates autoincremental values, generally for series
 */
export declare function getNextId(): number;
/**
 * Validates that all the items inside Plot are supported and organizes by kind
 */
export declare function splitChildren(children: ReactNode): PlotChildren;
/**
 * Validates that two positions are not orthogonal between them
 */
export declare function validatePosition(currPosition: string, position: string, id: string): void;
/**
 * Validates that two axes are orthogonal between them
 */
export declare function validateAxis(axisContext: Record<string, AxisContextType>, xKey: string, yKey: string): import("d3-scale").ScaleLinear<number, number, never>[];
/**
 * Checks the style added to a component and if is a function, gets the resulting value
 */
export declare function functionalStyle<T>(defaultStyle: CSSProperties, elementStyle: CSSFuncProps<T>, point: T, index: number, data: T[]): CSSProperties;
/**
 * Calculate Ticks number to display
 */
export declare function calculateTicksNumber(plotWidth: number, scientific: boolean, domain?: number[]): number;
/**
 * validate series point Error
 */
export declare function validateSeriesPointError(error: SeriesPointErrorType): SeriesPointErrorType;
export declare function closestPoint<T, R>(data: T[], value: R, distanceFun: (a: T, b: R) => number): T;
