"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const Plot_1 = __importDefault(require("./Plot"));
const Axis_1 = __importDefault(require("./components/Axis"));
const Legend_1 = __importDefault(require("./components/Legend"));
const LineSeries_1 = __importDefault(require("./components/LineSeries"));
const ScatterSeries_1 = __importDefault(require("./components/ScatterSeries"));
function PlotObject({ plot: { dimensions, svg, seriesViewportStyle, axes, series, legend, colorScheme, }, }) {
    const { className: svgClassName, id: svgId, style: svgStyle, ...svgProps } = svg;
    return (jsx_runtime_1.jsxs(Plot_1.default, Object.assign({ colorScheme: colorScheme, seriesViewportStyle: seriesViewportStyle }, dimensions, { svgClassName: svgClassName, svgId: svgId, svgStyle: svgStyle }, svgProps, { children: [axes.map((props) => (jsx_runtime_1.jsx(Axis_1.default, Object.assign({}, props), props.position))),
            legend !== undefined ? jsx_runtime_1.jsx(Legend_1.default, Object.assign({}, legend), void 0) : null,
            series.map(({ type, ...props }, i) => {
                switch (type) {
                    case 'line': {
                        // eslint-disable-next-line react/no-array-index-key
                        return jsx_runtime_1.jsx(LineSeries_1.default, Object.assign({}, props), `lineseries-${i}`);
                    }
                    case 'scatter': {
                        // eslint-disable-next-line react/no-array-index-key
                        return jsx_runtime_1.jsx(ScatterSeries_1.default, Object.assign({}, props), `scatterseries-${i}`);
                    }
                    default: {
                        return null;
                    }
                }
            })] }), void 0));
}
exports.default = PlotObject;
